Skip to main content
PUT
Replace trigger

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

triggerId
string
required
Minimum string length: 1

Body

application/json
name
string
required
Pattern: ^(?=.{1,64}$)[a-z0-9]+(?:-[a-z0-9]+)*$
executionType
enum<string>
Available options:
agent,
code
requiresVm
boolean
prompt
string
default:""
Maximum string length: 50000
script
string
deprecated

Retired: new script runs are rejected. Historical reads remain supported.

Maximum string length: 50000
runNameTemplate
string
Maximum string length: 500
concurrencyLimit
integer
Required range: 0 <= x <= 50
runScopes
enum<string>[]

Factorize API scopes for new trigger runs. Omission uses existing scopes on update or read/invoke defaults on create; an empty array grants no application scopes. triggers:write permits configuring triggers and their future run scopes.

Maximum array length: 13
Available options:
team:read,
team:write,
triggers:read,
triggers:write,
runs:read,
runs:invoke,
runs:start,
runs:cancel,
runs:write,
integrations:read,
integrations:write,
skills:read,
skills:write
executionConfigId
string
Minimum string length: 1
tags
string[]
Maximum array length: 20
Pattern: ^[A-Za-z0-9][A-Za-z0-9._:-]{0,63}$
vmImage
string
Maximum string length: 512
Pattern: ^(?:(?:(?:[A-Za-z0-9]+(?:[._-][A-Za-z0-9]+)*\/)?[A-Za-z0-9]+(?:[._-][A-Za-z0-9]+)*(?:\/[A-Za-z0-9]+(?:[._-][A-Za-z0-9]+)*)*(?::[A-Za-z0-9_][A-Za-z0-9_.-]{0,127})?(?:@sha256:[a-f0-9]{64})?))?$
model
string
Maximum string length: 120
effort
enum<string>
Available options:
,
minimal,
low,
medium,
high,
xhigh
events
object[]
Maximum array length: 50
skillId
string<uuid> | null
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
portableIntegrationIds
string<uuid>[]
Maximum array length: 100
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
modelAccountId
string<uuid>
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
githubInstallationIds
integer[]
Maximum array length: 100
Required range: x <= 9007199254740991
linearConnectionId
string | null
Allowed value: "linear"
xConnectionIds
string<uuid>[]
Maximum array length: 100
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
expectedUpdatedAt
string<date-time>
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$

Response

Updated

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
name
string
required
enabled
boolean
required
requiresVm
boolean
required
prompt
string
required
runNameTemplate
string
required
model
string
required
executionConfig
object
required
runScopes
enum<string>[]
required
Available options:
team:read,
team:write,
triggers:read,
triggers:write,
runs:read,
runs:invoke,
runs:start,
runs:cancel,
runs:write,
integrations:read,
integrations:write,
skills:read,
skills:write
executionConfigId
string
required
agentKind
string
required
concurrencyLimit
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
runningCount
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
currentRuns
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
maxConcurrency
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
lastRunState
enum<string> | null
required
Available options:
queued,
reserved,
starting,
running,
blocked,
stopping,
succeeded,
failed,
stopped,
done,
ignored
events
object[]
required
createdAt
string
required
updatedAt
string
required
executionType
enum<string>
Available options:
agent,
code
script
string
tags
string[]
effort
string
portableIntegrationIds
string<uuid>[]
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
modelAccountId
string<uuid>
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
githubInstallationIds
integer[]
Required range: x <= 9007199254740991
linearConnectionId
string | null
Allowed value: "linear"
xConnectionIds
string<uuid>[]
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
skillId
string<uuid> | null
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
skill
object | null
contextReviewRequired
boolean